package org.aohe.ssotoken.controller;

import org.aohe.ssotoken.utils.RedisUtil;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("redis")
@RestController
public class RedisController {
    
    final RedisUtil redisUtil;
    
    public RedisController(RedisUtil redisUtil) {
        this.redisUtil = redisUtil;
    }
    
    @RequestMapping("add")
    public String addKey(String key, String value) {
        redisUtil.set(key, value, 60);
        return "success";
    }
    
    @RequestMapping("get")
    public String getKey(String key) {
        redisUtil.get(key);
        return "success";
    }
    
    @RequestMapping("del")
    public String delKey(String key) {
        redisUtil.del(key);
        return "success";
    }
    
}
